%global framework libkgapi
# libkgapi built with LTO causes crashes
%global _lto_cflags %{nil}

Name:           libkgapi
Version:        23.08.5
Release:        1
Summary:        Library to access to Google services

License:        GPLv2+
URL:            https://invent.kde.org/pim/%{name}

%global majmin %majmin_ver_kf5
Source0:        http://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  qt5-qttools-static

BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kwallet-devel
BuildRequires:  kf5-kwindowsystem-devel

BuildRequires:  kf5-kcalendarcore-devel
BuildRequires:  kf5-kcontacts-devel >= %{version}

BuildRequires:  cyrus-sasl-devel

Obsoletes:      libkgoogle < 0.3.2
Provides:       libkgoogle = %{version}-%{release}

%description
Library to access to Google services, this package is needed by kdepim-runtime
to build akonadi-google resources.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       kf5-kcoreaddons-devel
Requires:       kf5-kcalendarcore-devel
Requires:       kf5-kcontacts-devel
Obsoletes:      libkgoogle-devel < 0.3.2
Provides:       libkgoogle-devel = %{version}-%{release}

%description devel
Libraries and header files for developing applications that use akonadi-google
resources.


%prep
%autosetup -n %{name}-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}

%find_lang_kf5 libkgapi_qt


%ldconfig_scriptlets

%files -f libkgapi_qt.lang
%doc README*
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_libdir}/sasl2/libkdexoauth2.so*
%{_kf5_libdir}/libKPim5GAPIBlogger.so.5*
%{_kf5_libdir}/libKPim5GAPICalendar.so.5*
%{_kf5_libdir}/libKPim5GAPICore.so.5*
%{_kf5_libdir}/libKPim5GAPIDrive.so.5*
%{_kf5_libdir}/libKPim5GAPILatitude.so.5*
%{_kf5_libdir}/libKPim5GAPIMaps.so.5*
%{_kf5_libdir}/libKPim5GAPIPeople.so.5*
%{_kf5_libdir}/libKPim5GAPITasks.so.5*

%files devel
%{_kf5_libdir}/libKPim5GAPIPeople.so
%{_kf5_libdir}/libKPim5GAPIBlogger.so
%{_kf5_libdir}/libKPim5GAPICalendar.so
%{_kf5_libdir}/libKPim5GAPICore.so
%{_kf5_libdir}/libKPim5GAPIDrive.so
%{_kf5_libdir}/libKPim5GAPILatitude.so
%{_kf5_libdir}/libKPim5GAPIMaps.so
%{_kf5_libdir}/libKPim5GAPITasks.so
%{_kf5_archdatadir}/mkspecs/modules/qt_KGAPIBlogger.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KGAPICalendar.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KGAPICore.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KGAPIDrive.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KGAPILatitude.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KGAPIMaps.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KGAPITasks.pri
%{_kf5_archdatadir}/mkspecs/modules/qt_KGAPIPeople.pri
%{_kf5_libdir}/cmake/KPimGAPI/
%{_kf5_libdir}/cmake/KPim5GAPI/
%dir %{_includedir}/KPim5/
%{_includedir}/KPim5/KGAPI/


%changelog
* Fri Mar 15 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Tue Jan 16 2024 misaka00251 <liuxin@iscas.ac.cn> - 23.08.4-1
- Upgrade to 23.08.4

* Wed Dec 13 2023 Vicoloa <lvkun@uniontech.com> - 23.08.3-1
- update to upstream version 23.08.3

* Fri Aug 04 2023 yajun<yajun@kylinos.cn> - 23.04.3-1
- update to upstream version 23.04.3

* Fri Apr 28 2023 peijiankang <peijiankang@kylinos.cn> - 22.12.0-1
- Update version to 22.12.0

* Fri Nov 25 2022 misaka00251 <liuxin@iscas.ac.cn> - 22.08.0-1
- Init package
